import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const inbox = await commune.inboxes.get('3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8');
console.log(inbox.data.address); // support@mycompany.com
console.log(inbox.data.displayName); // Support Agent
from commune import CommuneClient
client = CommuneClient()
inbox = client.inboxes.get("3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8")
print(inbox.data.address)
get_inbox(id="3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8")
curl "https://api.commune.email/v1/domains/domain_xyz789/inboxes/3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8" \
-H "Authorization: Bearer comm_..."
commune inboxes get 3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8
{
"data": {
"id": "3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8",
"localPart": "support",
"address": "support@mycompany.com",
"displayName": "Support Agent",
"agent": {
"name": "Support Agent"
},
"webhook": {
"endpoint": "https://myapp.com/webhooks/email",
"events": ["inbound"],
"secret": "whsec_abc123..."
},
"status": "active",
"createdAt": "2026-02-25T10:00:00.000Z"
}
}
{
"error": "Inbox not found"
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
Inboxes
Get inbox
Retrieve a single inbox by domain and inbox ID.
GET
/
v1
/
domains
/
:domainId
/
inboxes
/
:inboxId
import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const inbox = await commune.inboxes.get('3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8');
console.log(inbox.data.address); // support@mycompany.com
console.log(inbox.data.displayName); // Support Agent
from commune import CommuneClient
client = CommuneClient()
inbox = client.inboxes.get("3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8")
print(inbox.data.address)
get_inbox(id="3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8")
curl "https://api.commune.email/v1/domains/domain_xyz789/inboxes/3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8" \
-H "Authorization: Bearer comm_..."
commune inboxes get 3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8
{
"data": {
"id": "3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8",
"localPart": "support",
"address": "support@mycompany.com",
"displayName": "Support Agent",
"agent": {
"name": "Support Agent"
},
"webhook": {
"endpoint": "https://myapp.com/webhooks/email",
"events": ["inbound"],
"secret": "whsec_abc123..."
},
"status": "active",
"createdAt": "2026-02-25T10:00:00.000Z"
}
}
{
"error": "Inbox not found"
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const inbox = await commune.inboxes.get('3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8');
console.log(inbox.data.address); // support@mycompany.com
console.log(inbox.data.displayName); // Support Agent
from commune import CommuneClient
client = CommuneClient()
inbox = client.inboxes.get("3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8")
print(inbox.data.address)
get_inbox(id="3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8")
curl "https://api.commune.email/v1/domains/domain_xyz789/inboxes/3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8" \
-H "Authorization: Bearer comm_..."
commune inboxes get 3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8
{
"data": {
"id": "3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8",
"localPart": "support",
"address": "support@mycompany.com",
"displayName": "Support Agent",
"agent": {
"name": "Support Agent"
},
"webhook": {
"endpoint": "https://myapp.com/webhooks/email",
"events": ["inbound"],
"secret": "whsec_abc123..."
},
"status": "active",
"createdAt": "2026-02-25T10:00:00.000Z"
}
}
{
"error": "Inbox not found"
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
Path Parameters
string
required
The domain ID the inbox belongs to.
string
required
The inbox ID (UUID) to retrieve.
Response
object
Hide properties
Hide properties
string
Unique inbox identifier (UUID).
string
The local part of the inbox address (before
@).string
Full email address of the inbox.
string
Display name shown in outbound
From headers.object
object
object
object
string
Inbox status.
string
ISO 8601 creation timestamp.
Last modified on March 19, 2026
Was this page helpful?

